Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.DialogDescriptionElement Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (name, item_id, type, next_tab, width, height, char_width, char_height, font, bold, italic, alignment, align_children, element_array)
| Constructor, with parameters. More...
| Set (name, item_id, type, next_tab, width, height, char_width, char_height, font, bold, italic, alignment, align_children, element_array)
| Set values. More...

## Public Attributes
| align_children
| The alignment for all descendants.
| alignment
| The alignment for this element.
| bold
| Specify if the font is bold.
| char_height
| Specifies the height of the element in characters. More...
| char_width
| Specifies the width of the element in characters. More...
| element_array
| An array of object literals that describe the subelements of this dialog box element.
| font
| The font to use for this element. More...
| height
| Specifies the height of the element in pixels. More...
| italic
| Specify if the font is italic.
| item_id
| An ItemID for this dialog box.
| name
| The displayed name of the dialog box element.
| next_tab
| An ItemID for the next dialog box item in the tab order.
| type
| The type of this dialog box element.
| width
| Specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Member Function Documentation

## ◆ constructor()

FSDK.DialogDescriptionElement.constructor | ( | name | ,
|  | item_id | ,
|  | type | ,
|  | next_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | font | ,
|  | bold | ,
|  | italic | ,
|  | alignment | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

## ◆ Set()

FSDK.DialogDescriptionElement.Set | ( | name | ,
|  | item_id | ,
|  | type | ,
|  | next_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | font | ,
|  | bold | ,
|  | italic | ,
|  | alignment | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## Member Data Documentation

## ◆ char_height

FSDK.DialogDescriptionElement.char_height

Specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

FSDK.DialogDescriptionElement.char_width

Specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

## ◆ font

FSDK.DialogDescriptionElement.font

The font to use for this element.

It will be one of the following strings:

- "default" - Default font
- "dialog" - Dialog box font
- "palette" - Palette (small) Font

## ◆ height

FSDK.DialogDescriptionElement.height

Specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

FSDK.DialogDescriptionElement.width

Specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.